# Uses of Class
org.apache.sysds.runtime.frame.data.columns.OptionalArray

Packages that use OptionalArray
Package
Description
org.apache.sysds.runtime.frame.data.columns

## Uses of OptionalArray in org.apache.sysds.runtime.frame.data.columns

Methods in org.apache.sysds.runtime.frame.data.columns that return OptionalArray
Modifier and Type
Method
Description
`static <T> OptionalArray<T>`
OptionalArray.`appendOther(OptionalArray<T> that, Array<T> appended)`
`static OptionalArray<Object>`
ArrayFactory.`createHash32Opt(String[] col)`
`static OptionalArray<Object>`
ArrayFactory.`createHash32OptI(int[] col)`
`static OptionalArray<Object>`
ArrayFactory.`createHash64Opt(String[] col)`
`static OptionalArray<Object>`
ArrayFactory.`createHash64OptI(long[] col)`
Methods in org.apache.sysds.runtime.frame.data.columns with parameters of type OptionalArray
Modifier and Type
Method
Description
`static <T> OptionalArray<T>`
OptionalArray.`appendOther(OptionalArray<T> that, Array<T> appended)`